<?php
/**
 * PSR-0でもPSR-4でもないクラス名規則を読み込むためのクラスローダです
 *
 * @author    USAMI Kenta <tadsan@zonu.me>
 * @license   http://www.wtfpl.net/about/ WTFPL
 * @copyright 2016 USAMI Kenta
 */

spl_autoload_register(function ($class) {
    // クラス名に対応するファイル名を生成する
    $file = __DIR__ . '/legacy_lib/' . str_replace('_', '/', $class) . '.php';

    // ファイルが存在したら読み込む
    if (file_exists($file)) {
        include_once $file;
    }
}, /*$throw=*/ true, /*$prepend=*/ true);
